Bug 70553 - tb on missing /etc/ntpd.conf
tb on missing /etc/ntpd.conf
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-08-02 10:05 EDT by Harald Hoyer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-06 01:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2002-08-02 10:05:54 EDT
[harald@faro rpm]$ sudo rm -f /etc/ntp.conf
[harald@faro rpm]$ redhat-config-time
Traceback (most recent call last):
  File "/usr/share/redhat-config-date/redhat-config-date.py", line 35, in ?
  File "/usr/share/redhat-config-date/mainWindow.py", line 132, in __init__
    self.datePage = date_gui.datePage(self.dateBackend)
  File "/usr/share/redhat-config-date/date_gui.py", line 150, in __init__
    ntpStatus = mainWindow.dateBackend.isNtpRunning()
  File "/usr/share/redhat-config-date/dateBackend.py", line 122, in isNtpRunning
    line = output[0]
IndexError: list index out of range
Comment 1 Brent Fox 2002-08-06 01:54:27 EDT
Should be fixed in redhat-config-date-1.5-2.

I now copy a template ntp.conf file to
/usr/share/redhat-config-date/ntp.template on installation.  If /etc/ntp.conf
has been removed for some reason, I use this template as the basis for the new
file, and just replace the server line with the server specified in the GUI.  

QA, please verify the fix.
Comment 2 Jay Turner 2002-08-06 08:17:07 EDT
Fix confirmed with redhat-config-date-1.5-2.

Note You need to log in before you can comment on or make changes to this bug.